## ghub-el 2.0.0

=== Makefile ===
-include config.mk

PKG   = ghub

ELS   = $(PKG).el
ELCS  = $(ELS:.el=.elc)

DEPS  = dash

VERSION ?= $(shell test -e $(TOP).git && git describe --tags --abbrev=0 | cut -c2-)

EMACS      ?= emacs
EMACS_ARGS ?=

LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH  += -L .

ifndef ORG_LOAD_PATH
ORG_LOAD_PATH  = -L ../dash
ORG_LOAD_PATH += -L ../org/lisp
ORG_LOAD_PATH += -L ../org/contrib/lisp
ORG_LOAD_PATH += -L ../ox-texinfo+
endif

INSTALL_INFO     ?= $(shell command -v ginstall-info || printf install-info)
MAKEINFO         ?= makeinfo
MANUAL_HTML_ARGS ?= --css-ref /assets/page.css

all: lisp info
doc: info html html-dir pdf

help:
	$(info make all          - generate lisp and manual)
	$(info make doc          - generate most manual formats)
	$(info make lisp         - generate byte-code and autoloads)
	$(info make texi         - generate texi manual (see comments))
	$(info make info         - generate info manual)
	$(info make html         - generate html manual file)
	$(info make html-dir     - generate html manual directory)
	$(info make pdf          - generate pdf manual)
	$(info make publish      - publish snapshot html and pdf manuals)
	$(info make release      - publish release html and pdf manuals)
	$(info make clean        - remove most generated files)
	@printf "\n"

lisp: $(ELCS) loaddefs

loaddefs: $(PKG)-autoloads.el

$(PKG).elc:
$(PKG)-desc.elc: $(PKG).elc
$(PKG)-list.elc: $(PKG).elc

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

info: $(PKG).info dir
html: $(PKG).html
pdf:  $(PKG).pdf

ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ox-extra -l ox-texinfo+.el
ORG_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
ORG_EVAL += --funcall org-texinfo-export-to-texinfo

# This target first bumps version strings in the Org source.  The
# necessary tools might be missing so other targets do not depend
# on this target and it has to be run explicitly when appropriate.
#
#   AMEND=t make texi    Update manual to be amended to HEAD.
#   VERSION=N make texi  Update manual for release.
#
.PHONY: texi
texi:
	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
	@printf "\n" >> $(PKG).texi
	@rm -f $(PKG).texi~

%.info: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --no-split $< -o $@

dir: $(PKG).info
	@printf "Generating $@\n"
	@printf "%s" $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@

HTML_FIXUP_CSS    = '/<link rel="stylesheet" type="text\/css" href="\/assets\/page.css">/a\
<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Default high contrast" href="/assets/themes/default-high-contrast.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Solarized dark xterm"  href="/assets/themes/solarized-dark-xterm.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Black on white"        href="/assets/themes/black-on-white.css">\
\n<script src="/assets/js/simple-css-switch.js"></script>'
HTML_FIXUP_ONLOAD = 's/<body lang="en">/<body lang="en" onload="simpleCssSwitch()">/'
HTML_FIXUP_MENU   = '/<\/body>/i<div id="s-css-s--menu"><\/div>'

%.html: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<
	@sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $@

html-dir: $(PKG).texi
	@printf "Generating $(PKG)/*.html\n"
	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) $<
	@for f in $$(find $(PKG) -name '*.html') ; do \
	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
	done

%.pdf: %.texi
	@printf "Generating $@\n"
	@texi2pdf --clean $< > /dev/null

DOMAIN         ?= magit.vc
PUBLISH_PATH   ?= /manual/
RELEASE_PATH   ?= /manual/$(VERSION)/

S3_BUCKET      ?= s3://$(DOMAIN)
PUBLISH_TARGET  = $(S3_BUCKET)$(PUBLISH_PATH)
RELEASE_TARGET  = $(S3_BUCKET)$(RELEASE_PATH)

CFRONT_DIST    ?= E2LUHBKU1FBV02
CFRONT_PATHS    = $(PKG).html $(PKG).pdf $(PKG)/*

comma := ,
empty :=
space := $(empty) $(empty)

publish: html html-dir pdf
	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
	@aws s3 cp $(PKG).pdf  $(PUBLISH_TARGET)
	@aws s3 sync $(PKG)    $(PUBLISH_TARGET)$(PKG)/
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null

release: html html-dir pdf
	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
	@aws s3 sync $(PKG)    $(RELEASE_TARGET)$(PKG)/
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null

CLEAN  = $(ELCS) $(PKG)-autoloads.el $(PKG).info dir
CLEAN += $(PKG) $(PKG).html $(PKG).pdf

clean:
	@printf "Cleaning...\n"
	@rm -rf $(CLEAN)

define LOADDEFS_TMPL
;;; $(PKG)-autoloads.el --- automatically extracted autoloads
;;
;;; Code:
(add-to-list 'load-path (directory-file-name \
(or (file-name-directory #$$) (car load-path))))

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; End:
;;; $(PKG)-autoloads.el ends here
endef
export LOADDEFS_TMPL
#'

$(PKG)-autoloads.el: $(ELS)
	@printf "Generating $@\n"
	@printf "%s" "$$LOADDEFS_TMPL" > $@
	@$(EMACS) -Q --batch --eval "(progn\
	(setq make-backup-files nil)\
	(setq vc-handled-backends nil)\
	(setq default-directory (file-truename default-directory))\
	(setq generated-autoload-file (expand-file-name \"$@\"))\
	(setq find-file-visit-truename t)\
	(update-directory-autoloads default-directory))"

## ghub-el 1.2.0

=== debian/changelog ===
ghub-el (1.2.0-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control:
    - S-V bump 3.9.8 -> 4.0.0 (no changes needed)
    - fix dependencies on emacs24
    - drop dependency on emacs-common

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 22 Jul 2017 13:35:18 +0200

ghub-el (1.2.0-1) experimental; urgency=medium

  * Initial release (Closes: #864454)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 09 Jun 2017 10:30:56 +0200

=== debian/control ===
Source: ghub-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends: debhelper (>= 10), dh-elpa
Standards-Version: 4.0.0
Homepage: https://github.com/tarsius/ghub
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ghub-el.git
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/ghub-el.git

Package: elpa-ghub
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 47.0)
Conflicts: emacs24
Enhances: emacs, emacs25
Built-Using: ${misc:Built-Using}
Description: minuscule client for the Github API
 A minuscule client for the Github API.
 .
 This library just provides the HTTP verbs. Instead of wrapping
 every resource, https://developer.github.com/v3 is recommended.
 Due to the lack of doc-strings, it's also recommended having a
 quick look at the source, which is quite trivial.

## ghub-el 1.3.0

=== debian/changelog ===
ghub-el (1.3.0-1) unstable; urgency=medium

  [ Matteo F. Vescovi ]
  * New upstream release
  * debian/control: S-V bump 4.0.0 -> 4.1.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 08 Dec 2017 21:17:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: debhelper (>= 10), dh-elpa
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/tarsius/ghub
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ghub-el.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/ghub-el.git

## ghub-el 2.0.0

=== debian/changelog ===
ghub-el (2.0.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control: texinfo b-dep added
  * debian/: debhelper bump 9 -> 11
  * debian/control: Vcs-* fields updated pointing to salsa
  * debian/control: S-V bump 4.1.1 -> 4.1.4 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 07 Apr 2018 23:17:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends: debhelper (>= 10), dh-elpa
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11~), dh-elpa, texinfo
+Standards-Version: 4.1.4
 Homepage: https://github.com/tarsius/ghub
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ghub-el.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/ghub-el.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el
+Vcs-Git: https://salsa.debian.org/emacsen-team/ghub-el.git
 
 Package: elpa-ghub
 Architecture: all

## ghub-el 2.0.1

=== debian/changelog ===
ghub-el (2.0.1-2) unstable; urgency=medium

  * debian/control:
    - S-V bump 4.1.4 -> 4.2.1 (no changes needed)
    - drop Conflicts against emacs24

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 06 Oct 2018 14:09:03 +0200

ghub-el (2.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 30 May 2018 00:02:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: debhelper (>= 11~), dh-elpa, texinfo
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/tarsius/ghub
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/ghub-el.git
@@ -13,7 +13,6 @@
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
 Recommends: emacs (>= 47.0)
-Conflicts: emacs24
 Enhances: emacs, emacs25
 Built-Using: ${misc:Built-Using}
 Description: minuscule client for the Github API

## ghub-el 3.0.0

=== debian/changelog ===
ghub-el (3.0.0-3) unstable; urgency=medium

  * debian/patches/: patchset created
    - 01-fix_version.diff added
  * debian/docs: documentation added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 17 Nov 2018 22:29:16 +0100

ghub-el (3.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 15 Nov 2018 21:29:35 +0100

ghub-el (3.0.0-1) experimental; urgency=medium

  * New upstream release (Closes: #913480)
    - debian/rules: override_dh_auto_build entry added
  * debian/control: Homepage link updated

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 14 Nov 2018 23:32:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: debhelper (>= 11~), dh-elpa, texinfo
 Standards-Version: 4.2.1
-Homepage: https://github.com/tarsius/ghub
+Homepage: https://github.com/magit/ghub
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/ghub-el.git

## ghub-el 3.2.0

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,16 @@
 PKG   = ghub
 
 ELS   = $(PKG).el
+ELS  += $(PKG)-graphql.el
+ELS  += glab.el
+ELS  += gtea.el
+ELS  += gogs.el
+ELS  += buck.el
 ELCS  = $(ELS:.el=.elc)
 
 DEPS  = dash
+DEPS += graphql
+DEPS += treepy
 
 VERSION ?= $(shell test -e $(TOP).git && git describe --tags --abbrev=0 | cut -c2-)

=== debian/changelog ===
ghub-el (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/: debhelper bump 11 -> 12
  * debian/control: S-V bump 4.2.1 -> 4.3.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 20 Jan 2019 22:47:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends: debhelper (>= 11~), dh-elpa, texinfo
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 12~), dh-elpa, texinfo
+Standards-Version: 4.3.0
 Homepage: https://github.com/magit/ghub
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/ghub-el.git

## ghub-el 3.3.0

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 PKG   = ghub
 
 ELS   = $(PKG).el
+ELS  += gsexp.el
 ELS  += $(PKG)-graphql.el
 ELS  += glab.el
 ELS  += gtea.el
@@ -10,9 +11,7 @@
 ELS  += buck.el
 ELCS  = $(ELS:.el=.elc)
 
-DEPS  = dash
-DEPS += graphql
-DEPS += treepy
+DEPS  = treepy
 
 VERSION ?= $(shell test -e $(TOP).git && git describe --tags --abbrev=0 | cut -c2-)
 
@@ -33,12 +32,12 @@
 MAKEINFO         ?= makeinfo
 MANUAL_HTML_ARGS ?= --css-ref /assets/page.css
 
-all: lisp info
-doc: info html html-dir pdf
+all:  lisp info
+docs: info html html-dir pdf
 
 help:
 	$(info make all          - generate lisp and manual)
-	$(info make doc          - generate most manual formats)
+	$(info make docs         - generate most manual formats)
 	$(info make lisp         - generate byte-code and autoloads)
 	$(info make texi         - generate texi manual (see comments))
 	$(info make info         - generate info manual)
@@ -145,6 +144,8 @@
 	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
 	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
 	@aws s3 sync $(PKG)    $(RELEASE_TARGET)$(PKG)/
+	@aws s3 cp $(PUBLISH_TARGET)dir.html $(RELEASE_TARGET)dir.html
+	@aws s3 cp $(PUBLISH_TARGET)dir/index.html $(RELEASE_TARGET)dir/index.html
 	@printf "Generating CDN invalidation\n"
 	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
 	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null

=== debian/changelog ===
ghub-el (3.3.0-1) unstable; urgency=medium

  [ David Krauser ]
  * Update maintainer email address

  [ Matteo F. Vescovi ]
  * New upstream release
  * debian/control:
    - S-V bump 4.3.0 -> 4.5.0 (no changes needed)
    - RRR set
  * debian/: debhelper-compat 12 usage

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 29 Jan 2020 22:58:30 +0100

ghub-el (3.2.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 08 Jul 2019 14:36:03 +0200

ghub-el (3.2.0-2) experimental; urgency=medium

  * debian/patches/: patchset updated (Closes: #924511)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 26 Mar 2019 13:52:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: ghub-el
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends: debhelper (>= 12~), dh-elpa, texinfo
-Standards-Version: 4.3.0
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-elpa,
+ texinfo
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/magit/ghub
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/ghub-el.git

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ghub-$1\.tar\.gz/ \
https://github.com/tarsius/ghub/tags .*/v?(\d\S+)\.tar\.gz

## ghub-el 3.4.0

=== Makefile ===
--- 
+++ 
@@ -22,8 +22,7 @@
 LOAD_PATH  += -L .
 
 ifndef ORG_LOAD_PATH
-ORG_LOAD_PATH  = -L ../dash
-ORG_LOAD_PATH += -L ../org/lisp
+ORG_LOAD_PATH  = -L ../org/lisp
 ORG_LOAD_PATH += -L ../org/contrib/lisp
 ORG_LOAD_PATH += -L ../ox-texinfo+
 endif

=== debian/changelog ===
ghub-el (3.4.0-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/01-fix_version.diff: refreshed
  * debian/control: debhelper bump 12 -> 13

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 24 Jul 2020 22:54:08 +0200

## ghub-el 3.4.1

=== debian/changelog ===
ghub-el (3.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 14 Aug 2020 18:20:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-elpa,
  texinfo
 Standards-Version: 4.5.0

## ghub-el 3.4.2

=== debian/changelog ===
ghub-el (3.4.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/01-fix_version.diff: update version

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 04 Nov 2020 21:47:49 +0100

## ghub-el 3.5.0

=== debian/changelog ===
ghub-el (3.5.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: version bump 3 -> 4
  * debian/control: S-V bump 4.5.0 -> 4.5.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 09 Dec 2020 16:55:20 +0100

## ghub-el 3.5.1

=== Makefile ===
--- 
+++ 
@@ -92,7 +92,8 @@
 	@printf "%s" $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@
 
 HTML_FIXUP_CSS    = '/<link rel="stylesheet" type="text\/css" href="\/assets\/page.css">/a\
-<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
+<link rel="icon" href="/assets/magit_alt1.ico">\
+\n<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
 \n<link class="s-css-s--style" rel="stylesheet alternate" title="Default high contrast" href="/assets/themes/default-high-contrast.css">\
 \n<link class="s-css-s--style" rel="stylesheet alternate" title="Solarized dark xterm"  href="/assets/themes/solarized-dark-xterm.css">\
 \n<link class="s-css-s--style" rel="stylesheet alternate" title="Black on white"        href="/assets/themes/black-on-white.css">\

=== debian/changelog ===
ghub-el (3.5.1-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/01-fix_version.diff: refreshed

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 20 Jan 2021 23:28:02 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  dh-elpa,
  texinfo
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/magit/ghub
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ghub-$1\.tar\.gz/ \
https://github.com/tarsius/ghub/tags .*/v?(\d\S+)\.tar\.gz

## ghub-el 3.5.4

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 ifndef ORG_LOAD_PATH
 ORG_LOAD_PATH  = -L ../org/lisp
-ORG_LOAD_PATH += -L ../org/contrib/lisp
+ORG_LOAD_PATH += -L ../org-contrib/lisp
 ORG_LOAD_PATH += -L ../ox-texinfo+
 endif
 
@@ -64,8 +64,8 @@
 html: $(PKG).html
 pdf:  $(PKG).pdf
 
-ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ox-extra -l ox-texinfo+.el
-ORG_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
+ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ox-texinfo+.el
+ORG_EVAL  = --eval "(setq org-texinfo+-dissolve-noexport-headlines t)"
 ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
 ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
 ORG_EVAL += --funcall org-texinfo-export-to-texinfo

=== debian/changelog ===
ghub-el (3.5.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.5.1 -> 4.6.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 13 Oct 2021 23:49:23 +0200

ghub-el (3.5.3-2) unstable; urgency=medium

  [ Matteo F. Vescovi ]
  * Upload to unstable

  [ Nicholas D Steeves ]
  * Drop emacs25 from Enhances
    (package does not exist in bullseye).

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 17 Aug 2021 20:40:08 +0200

ghub-el (3.5.3-1) experimental; urgency=medium

  * New upstream release
    - debian/patches/01-fix_version.diff: refreshed

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 12 Jun 2021 12:22:20 +0200

ghub-el (3.5.2-1) experimental; urgency=medium

  * New upstream release
    - debian/patches/01-fix_version.diff: refreshed

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 13 May 2021 23:31:03 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  dh-elpa,
  texinfo
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/magit/ghub
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el
@@ -17,7 +17,7 @@
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
 Recommends: emacs (>= 47.0)
-Enhances: emacs, emacs25
+Enhances: emacs
 Built-Using: ${misc:Built-Using}
 Description: minuscule client for the Github API
  A minuscule client for the Github API.

## ghub-el 3.5.6

=== docs/Makefile ===
-include ../config.mk
include ../default.mk

docs: info html html-dir pdf

info: $(PKG).info dir
html: $(PKG).html
pdf:  $(PKG).pdf

ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH)
ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
ORG_EVAL += --funcall org-texinfo-export-to-texinfo

.PHONY: texi
texi:
	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
	@printf "\n" >> $(PKG).texi
	@rm -f $(PKG).texi~

%.info: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --no-split $< -o $@

dir: $(PKG).info
	@printf "Generating $@\n"
	@printf "%s" $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@

HTML_FIXUP_CSS    = '/<link rel="stylesheet" type="text\/css" href="\/assets\/page.css">/a\
<link rel="icon" href="/assets/magit_alt1.ico">\
\n<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Default high contrast" href="/assets/themes/default-high-contrast.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Solarized dark xterm"  href="/assets/themes/solarized-dark-xterm.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Black on white"        href="/assets/themes/black-on-white.css">\
\n<script src="/assets/js/simple-css-switch.js"></script>'
HTML_FIXUP_ONLOAD = 's/<body lang="en">/<body lang="en" onload="simpleCssSwitch()">/'
HTML_FIXUP_MENU   = '/<\/body>/i<div id="s-css-s--menu"><\/div>'

%.html: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<
	@sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $@

html-dir: $(PKG).texi
	@printf "Generating $(PKG)/*.html\n"
	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) $<
	@for f in $$(find $(PKG) -name '*.html') ; do \
	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
	done

%.pdf: %.texi
	@printf "Generating $@\n"
	@texi2pdf --clean $< > /dev/null

PUBLISH_PATH   ?= /manual/
RELEASE_PATH   ?= /manual/$(VERSION)/
S3_BUCKET      ?= s3://$(DOMAIN)
PUBLISH_TARGET  = $(S3_BUCKET)$(PUBLISH_PATH)
RELEASE_TARGET  = $(S3_BUCKET)$(RELEASE_PATH)
CFRONT_PATHS    = $(PKG).html $(PKG).pdf $(PKG)/*

comma := ,
empty :=
space := $(empty) $(empty)

publish: html html-dir pdf
	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
	@aws s3 cp $(PKG).pdf  $(PUBLISH_TARGET)
	@aws s3 sync $(PKG)    $(PUBLISH_TARGET)$(PKG)/
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null

release: html html-dir pdf
	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
	@aws s3 sync $(PKG)    $(RELEASE_TARGET)$(PKG)/
	@aws s3 cp $(PUBLISH_TARGET)dir.html $(RELEASE_TARGET)dir.html
	@aws s3 cp $(PUBLISH_TARGET)dir/index.html $(RELEASE_TARGET)dir/index.html
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null

.PHONY: stats
stats:
	@printf "Generating statistics\n"
	@$(GITSTATS) $(GITSTATS_ARGS) $(TOP) $(GITSTATS_DIR)

stats-upload:
	@printf "Uploading statistics...\n"
	@aws s3 sync $(GITSTATS_DIR) $(S3_BUCKET)/stats/$(PKG)
	@printf "Uploaded to $(S3_BUCKET)/stats/$(PKG)\n"
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation \
	--distribution-id $(CFRONT_DIST) --paths "/stats/*" > /dev/null

CLEAN = $(PKG).info dir $(PKG) $(PKG).html $(PKG).pdf

clean:
	@printf "Cleaning docs/*...\n"
	@rm -rf $(CLEAN)

=== lisp/Makefile ===
-include ../config.mk
include ../default.mk

lisp: $(ELCS) loaddefs

loaddefs: $(PKG)-autoloads.el

$(PKG).elc:
$(PKG)-desc.elc: $(PKG).elc
$(PKG)-list.elc: $(PKG).elc

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

CLEAN = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf "Cleaning lisp/*...\n"
	@rm -rf $(CLEAN)

define LOADDEFS_TMPL
;;; $(PKG)-autoloads.el --- automatically extracted autoloads
;;
;;; Code:
(add-to-list 'load-path (directory-file-name \
(or (file-name-directory #$$) (car load-path))))

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; End:
;;; $(PKG)-autoloads.el ends here
endef
export LOADDEFS_TMPL
#'

$(PKG)-autoloads.el: $(ELS)
	@printf "Generating $@\n"
	@printf "%s" "$$LOADDEFS_TMPL" > $@
	@$(EMACS) -Q --batch --eval "(progn\
	(setq make-backup-files nil)\
	(setq vc-handled-backends nil)\
	(setq default-directory (file-truename default-directory))\
	(setq generated-autoload-file (expand-file-name \"$@\"))\
	(setq find-file-visit-truename t)\
	(update-directory-autoloads default-directory))"

=== debian/changelog ===
ghub-el (3.5.6-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 15 Apr 2022 23:31:22 +0200

ghub-el (3.5.5-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: obsolete patchset dropped
    - debian/patches/: patchset updated
      - 0001-Add_ghub-pkg.el_file.patch added
  * debian/copyright: extend copyright timestamps
  * debian/control: drop Built-Using field
  * debian/elpa: install lisp/ files
  * debian/docs: update docs/ path

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 25 Feb 2022 23:54:29 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Depends: ${elpa:Depends}, ${misc:Depends}
 Recommends: emacs (>= 47.0)
 Enhances: emacs
-Built-Using: ${misc:Built-Using}
 Description: minuscule client for the Github API
  A minuscule client for the Github API.
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@ --with elpa

override_dh_auto_build:
	/bin/true

## ghub-el 3.6.0

=== docs/Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 .PHONY: texi
 texi:
+	@printf "Generating $(PKG).texi\n"
 	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
 	@printf "\n" >> $(PKG).texi
 	@rm -f $(PKG).texi~
@@ -43,7 +44,7 @@
 
 html-dir: $(PKG).texi
 	@printf "Generating $(PKG)/*.html\n"
-	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) $<
+	@$(MAKEINFO) --html -o $(PKG)/ $(MANUAL_HTML_ARGS) $<
 	@for f in $$(find $(PKG) -name '*.html') ; do \
 	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
 	done
@@ -97,5 +98,5 @@
 CLEAN = $(PKG).info dir $(PKG) $(PKG).html $(PKG).pdf
 
 clean:
-	@printf "Cleaning docs/*...\n"
+	@printf " Cleaning docs/*...\n"
 	@rm -rf $(CLEAN)

=== debian/changelog ===
ghub-el (3.6.0-4) unstable; urgency=medium

  * Team upload.
  * Improve documentation packaging.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sat, 23 Dec 2023 11:36:22 +0100

ghub-el (3.6.0-3) unstable; urgency=medium

  * debian/elpa: force install ghub-pkg.el
    via dh_elpa (Closes: #1040197)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 03 Jul 2023 21:09:29 +0200

ghub-el (3.6.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 02 Jul 2023 16:52:14 +0200

ghub-el (3.6.0-1) experimental; urgency=medium

  * New upstream release
    - debian/patches/: patchset dropped (fixed upstream)
  * debian/docs: .md files installation dropped
  * debian/control: S-V bump 4.6.0 -> 4.6.2 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 11 Jun 2023 13:58:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-elpa,
- texinfo
-Standards-Version: 4.6.0
+ texinfo,
+ texlive-latex-base,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/magit/ghub
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el

## ghub-el 4.1.1

=== debian/changelog ===
ghub-el (4.1.1-2) unstable; urgency=medium

  * debian/: straggler to clean.
    Thanks to Barak A. Pearlmutter (bap) for the hint! ;)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 08 Oct 2024 20:11:30 +0200

ghub-el (4.1.1-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset initialized
      - 0001-Avoid_revdesc_creation.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 05 Oct 2024 17:53:41 +0200

ghub-el (3.6.0-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
    * elpa-ghub: Drop versioned constraint on emacs (>= 47.0) in Recommends.
    Changes-By: deb-scrub-obsolete
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
    Fixes: lintian: upstream-metadata-missing-bug-tracking
    See-also: https://lintian.debian.org/tags/upstream-metadata-missing-bug-tracking.html

  [ Matteo F. Vescovi ]
  * debian/control: S-V bump 4.6.2 -> 4.7.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 05 Oct 2024 15:06:58 +0200

ghub-el (3.6.0-5) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:40:13 +0900

## ghub-el 4.2.0

=== docs/Makefile ===
--- 
+++ 
@@ -1,23 +1,30 @@
 -include ../config.mk
 include ../default.mk
 
-docs: info html html-dir pdf
+docs: texi info html html-dir pdf
 
-info: $(PKG).info dir
-html: $(PKG).html
-pdf:  $(PKG).pdf
+texi:     $(PKG).texi
+info:     $(PKG).info dir
+html:     $(PKG).html
+html-dir: $(PKG)/index.html
+pdf:      $(PKG).pdf
 
 ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH)
 ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
 ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
 ORG_EVAL += --funcall org-texinfo-export-to-texinfo
 
-.PHONY: texi
-texi:
-	@printf "Generating $(PKG).texi\n"
-	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
-	@printf "\n" >> $(PKG).texi
-	@rm -f $(PKG).texi~
+redo-docs:
+	@touch $(PKG).org
+	@make docs
+
+.revdesc: ;
+_    := $(shell test "$(REVDESC)" = "$$(cat .revdesc 2> /dev/null)" ||\
+        echo "$(REVDESC)" > .revdesc)
+
+%.texi: %.org .orgconfig .revdesc
+	@printf "Generating $@\n"
+	@$(EMACS) $(ORG_ARGS) $< $(ORG_EVAL)
 
 %.info: %.texi
 	@printf "Generating $@\n"
@@ -42,8 +49,9 @@
 	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<
 	@sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $@
 
-html-dir: $(PKG).texi
+%/index.html: %.texi
 	@printf "Generating $(PKG)/*.html\n"
+	@rm -rf $(PKG)
 	@$(MAKEINFO) --html -o $(PKG)/ $(MANUAL_HTML_ARGS) $<
 	@for f in $$(find $(PKG) -name '*.html') ; do \
 	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
@@ -64,7 +72,7 @@
 empty :=
 space := $(empty) $(empty)
 
-publish: html html-dir pdf
+publish: redo-docs
 	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
 	@aws s3 cp $(PKG).pdf  $(PUBLISH_TARGET)
 	@aws s3 sync $(PKG)    $(PUBLISH_TARGET)$(PKG)/
@@ -72,7 +80,7 @@
 	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
 	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null
 
-release: html html-dir pdf
+release: redo-docs
 	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
 	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
 	@aws s3 sync $(PKG)    $(RELEASE_TARGET)$(PKG)/

=== lisp/Makefile ===
-include ../config.mk
include ../default.mk

lisp: $(ELCS) loaddefs check-declare

loaddefs: $(PKG)-autoloads.el

$(PKG).elc:
$(PKG)-desc.elc: $(PKG).elc
$(PKG)-list.elc: $(PKG).elc

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	--eval "(check-declare-directory default-directory)"

CLEAN = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf " Cleaning lisp/*...\n"
	@rm -rf $(CLEAN)

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch -l autoload -l cl-lib --eval "\
(let ((file (expand-file-name \"$@\"))\
      (autoload-timestamps nil) \
      (backup-inhibited t)\
      (version-control 'never)\
      (coding-system-for-write 'utf-8-emacs-unix))\
  (write-region (autoload-rubric file \"package\" nil) nil file nil 'silent)\
  (cl-letf (((symbol-function 'progress-reporter-do-update) (lambda (&rest _)))\
            ((symbol-function 'progress-reporter-done) (lambda (_))))\
    (let ((generated-autoload-file file))\
      (update-directory-autoloads default-directory))))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

=== debian/changelog ===
ghub-el (4.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 29 Dec 2024 15:03:31 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-elpa,
  texinfo,
  texlive-latex-base,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/magit/ghub
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el
@@ -17,7 +17,7 @@
 Package: elpa-ghub
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs (>= 47.0)
+Recommends: emacs
 Enhances: emacs
 Description: minuscule client for the Github API
  A minuscule client for the Github API.

## ghub-el 4.3.0

=== debian/changelog ===
ghub-el (4.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control : Bump Standards-Version to 4.7.2 (no changes required).
  * d/elpa : Remove reference to ghub-pkg.el, which is included anyway.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 28 Apr 2025 11:29:57 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-elpa,
  texinfo,
  texlive-latex-base,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/magit/ghub
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	dh $@ --with elpa
 
 override_dh_auto_build:
-	/bin/true
+	make docs

## ghub-el 5.0.2

=== lisp/Makefile ===
-include ../config.mk
include ../default.mk

lisp: $(ELCS) autoloads check-declare

autoloads: $(PKG)-autoloads.el

ghub.elc:
gsexp.elc:
ghub-graphql.elc: ghub.elc gsexp.elc
ghub-legacy.elc: ghub.elc gsexp.elc ghub-graphql.elc

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	--eval "(check-declare-directory default-directory)"

CLEAN = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf " Cleaning lisp/*...\n"
	@rm -rf $(CLEAN)

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch --eval "\
(let ((inhibit-message t))\
  (loaddefs-generate\
   default-directory \"$@\" nil\
   (prin1-to-string\
    '(add-to-list 'load-path\
                  (or (and #$$ (directory-file-name (file-name-directory #$$)))\
                      (car load-path)))))\
   nil t)"

=== debian/changelog ===
ghub-el (5.0.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control: RRR removal (obsolete)
  * debian/watch: v4 -> v5 switch

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 12 Nov 2025 20:12:17 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  texinfo,
  texlive-latex-base,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://github.com/magit/ghub
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/ghub-el.git

=== debian/watch ===
Version: 5
Template: Github
Owner: tarsius
Project: ghub
